> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/docs/de/aktionen/workflow-concepts/workflow-steps/logic-steps/json.md).

# JSON formatieren

Ausgabe als JSON formatieren

## Wie funktioniert der JSON-Schritt?

Der JSON-Schritt ermöglicht es Ihnen, die Ausgabe Ihres Workflows in ein standardisiertes JSON-Format zu strukturieren. Dies geschieht, indem Sie die Schlüssel und Werte der verschiedenen Schritte auswählen, die Sie in der Ausgabe darstellen möchten.

## So konfigurieren Sie einen JSON-Schritt

Der JSON-Schritt ist ziemlich intuitiv. Da Sie die Ausgabe eines vorherigen Schritts formatieren, wird er normalerweise direkt in Ihren End-Schritt übergehen.

Sie können „Schlüssel“ und „Wert“ beliebig benennen, und Sie können sie mit den Eingaben vorheriger Schritte füllen:

{% @arcade/embed url="<https://app.arcade.software/share/BtyQUAfSJf5dzhIWUVIR>" flowId="BtyQUAfSJf5dzhIWUVIR" %}

Wenn Sie auf die **„Variable hinzufügen +“** Schaltfläche klicken, können Sie zusätzliche Felder innerhalb Ihrer JSON-Ausgabe definieren.

## Beispiel

Gehen wir anhand eines kurzen Beispiels durch, wie Sie mit einem JSON-Schritt unsere gewünschte Ausgabe im JSON-Format erreichen.

Unser Workflow nimmt eine einfache String-Eingabe (Stadtname) und nutzt einen LLM-Schritt, um eine kurze historische Beschreibung der Stadt zu erzeugen. Danach fügen wir unseren JSON-Schritt ein und formatieren unsere Ausgabe wie folgt:

```
{
  "city_name": "Los Angeles",
  "description": "Die vollständige Beschreibung der Stadt."
}
```

{% @arcade/embed url="<https://app.arcade.software/share/2XKC3NgLFXFs5zJYKZNJ>" flowId="2XKC3NgLFXFs5zJYKZNJ" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.airops.com/docs/de/aktionen/workflow-concepts/workflow-steps/logic-steps/json.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
